Package ru.yandex.clickhouse.util

## Class LogProxy<T>

- java.lang.Object
- - ru.yandex.clickhouse.util.LogProxy<T>

All Implemented Interfaces:
  `InvocationHandler`

    public class LogProxy<T>
    extends Object
    implements InvocationHandler

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`T` `getProxy()`
`Object` `invoke​(Object proxy, Method method, Object[] args)`
`static <T> T` `wrap​(Class<T> interfaceClass, T object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### wrap

    public static <T> T wrap​(Class<T> interfaceClass,
                             T object)

#### getProxy

    public T getProxy()

#### invoke

    public Object invoke​(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`